void far *getdta(void)
{
#asm
	mov ah, #2fh
	int #21h
	mov ax, es
	mov dx, ax
	mov ax, bx
#endasm
}

void setdta(void far *dta)
{
#asm
	push ds
#if SMALL_CODE
	mov dx, 4[bp]
	mov ds, 6[bp]
#else
	mov dx, 6[bp]
	mov ds, 8[bp]
#endif
	mov ah, #1ah
	int #21h
	pop ds
#endasm
}

#include <stdio.h>
main(void)
{	void far *dta, *dta1;

	dta = getdta();
	setdta(dta);
	if(getdta() == dta)
		puts("OK");
	else
		puts("Failed");
}
